/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package com.persagy.server.controllers.objects

import com.persagy.server.datacenter.models.entities.objects.Project
import com.persagy.server.services.objects.ProjectService
import com.persagy.database.SFilter
import com.persagy.service.SPageContext
import com.persagy.service.models.requests.SQueryRequest
import com.persagy.service.models.responses.SQueryResponse
import io.swagger.annotations.Api
import io.swagger.annotations.ApiOperation
import org.slf4j.LoggerFactory
import org.springframework.web.bind.annotation.PostMapping
import org.springframework.web.bind.annotation.RequestBody
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

/**
 * 项目接口
 *
 * @author 张维新
 */
@RestController
@RequestMapping("/object/project")
@Api(tags = ["001、项目"])
//@ApiIgnore
private open class ProjectController {
    companion object {
        /** 日志 */
        private val logger = LoggerFactory.getLogger(ProjectController::class.java)
    } // Companion object

//    /**
//     * 创建项目
//     *
//     * @param   code        城市编码
//     * @param   password    项目密码
//     * @param   project     项目对象
//     * @return              创建结果信息
//     */
//    @ApiOperation(value = "创建项目", notes = "")
//    @PostMapping(value = ["/create"])
//    fun create(code: String?, password: String, @RequestBody project: Project): SCreateResponse {
//        logger.debug("project =${project.toJson()}")
//        return ProjectService.create(code, password, project,messageHandler)
//    } // Function create()

//    /**
//     * 根据id删除项目
//     *
//     * @param   idList      id数组
//     * @return              删除的结果信息
//     */
//    @ApiOperation(value = "根据id删除项目", notes = "")
//    @PostMapping(value = ["/delete"])
//    fun delete(@RequestBody idList: ArrayList<String>): SDeleteResponse {
//        return ProjectService.delete(idList,messageHandler)
//    } // Function delete()

//    /**
//     * 更新项目信息
//     *
//     * @param   request     更新的内容对象
//     * @return              更新的结果
//     */
//    @ApiOperation(value = "更新项目信息", notes = "")
//    @PostMapping(value = ["/update"])
//    fun update(@RequestBody request: SUpdateRequest<Project>): SUpdateResponse {
//        logger.debug("ProjectUpdate =${request.toJson()}")
//        return ProjectService.update(request, messageHandler)
//    } // Function update()

    /**
     * 查询项目信息
     *
     * @param   request     查询信息条件
     * @return              查询结果
     */
    @ApiOperation(value = "查询项目信息", notes = "")
    @PostMapping(value = ["/query"])
    fun query(@RequestBody request: SQueryRequest): SQueryResponse<Project> {
//        logger.debug("projectQuery =${request.toJson()}")
        val projectId = SPageContext.getHeader("ProjectId")
        if (projectId.isNullOrEmpty()){
            return ProjectService.pageQuery(request)
        }else{
            return ProjectService.pageQuery(request, arrayListOf(SFilter.eq("id",projectId)))
        }
    } // Function query()

} // Class ProjectController