package com.persagy.server.controllers.rel


import com.persagy.server.datacenter.models.requests.RUpDateEquipAndSapceRequest
import com.persagy.server.services.assistant.RUpDateEquipAndSapceService
import com.persagy.service.models.responses.SBaseResponse
import io.swagger.annotations.Api
import io.swagger.annotations.ApiOperation
import org.springframework.web.bind.annotation.PostMapping
import org.springframework.web.bind.annotation.RequestBody
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

/**
 * 修改设备元空间的建筑楼层信息
 *
 * @author 张维新
 */
@Api(tags = ["039、模型修改设备元空间的建筑楼层信息"])
@RestController
@RequestMapping("/rel/update")
class RUpDateEquipAndSapceController {

    /**
     * 修改模型的设备和元空间的设备建筑楼层信息
     */
    @ApiOperation(value = "模型修改模型的设备和元空间的设备建筑楼层信息", notes = "AttributeMap 中添加自定义属性例如 attributeMap["+"FloorElevation"+"]=20.3")
    @PostMapping(value = ["/equip-ispace"])
    fun upDateEquipAndSapce(@RequestBody rUpDateEquipAndSapceRequest: RUpDateEquipAndSapceRequest): SBaseResponse {
    return RUpDateEquipAndSapceService.rUpDateEquipAndSapces(rUpDateEquipAndSapceRequest)
    } // Function UpDateEquipAndSapce

} // RUpDateEquipAndSapceController