/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package com.persagy.server.controllers.relation_calc

import com.persagy.server.services.relation_calc.CalcSpecialService
import com.persagy.service.models.responses.SBaseResponse
import io.swagger.annotations.Api
import io.swagger.annotations.ApiOperation
import org.slf4j.LoggerFactory
import org.springframework.beans.factory.annotation.Autowired
import org.springframework.web.bind.annotation.PostMapping
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

/**
 * 关系计算-管网
 *
 * @author 邓婷婷
 */
@Api(tags = ["016、关系计算-管网接口"])
@RestController
@RequestMapping("/calc_special")
open class CalcSpecialController {
    companion object {
        /** 日志 */
        private val logger = LoggerFactory.getLogger(CalcSpecialController::class.java)
    } // Companion object

    @Autowired
    lateinit var service: CalcSpecialService

    /**
     * 管网系统设备分块  +  计算流向
     *
     * @param   SystemName  需要计算的系统名称
     * @param   Domain      需要计算的管道系统类型，枚举（水管或风管）：DomainPiping，DomainHvac
     */
    @ApiOperation(value = "管网系统设备分块", notes = "Domain 需要计算的管道系统类型，枚举（水管或风管）：DomainPiping，DomainHvac;需要计算的building_id，如果没有提供时直接为空")
    @PostMapping(value = ["/sys-block"])
    fun sysBolck(relationType: String): SBaseResponse{
        return service.sysBolck(relationType)
    } // Function sysBolck()


//    /**
//     * 管网系统确定流向
//     * @param   BlockId     需要计算的块id
//     * @param   SystemName  需要计算的系统名称
//     * @param   Domain      需要计算的管道系统类型，枚举（水管或风管）：DomainPiping，DomainHvac
//     * @param   isSource    跟据源或端计算：bool。true表示源，false表示端
//     */
//    @ApiOperation(value = "管网系统确定流向", notes = "Domain 需要计算的管道系统类型，枚举（水管或风管）：DomainPiping，DomainHvac;需要计算的building_id，如果没有提供时直接为空;isSource 跟据源或端计算 true表示源，false表示端")
//    @PostMapping(value = ["/sys-direction"])
//    fun sysDirection(BuildingId: String?, BlockId: String, SystemName: String,Domain: String, isSource: Boolean): SBaseResponse{
//        return service.sysDirection(BuildingId, BlockId, SystemName, Domain, isSource)
//    } // Function sysDirection()

} // Class CalcSpecialController