package com.persagy.server.services.assistant

import com.persagy.server.datacenter.models.entities.graphtype.RelationTypeProject
import com.persagy.server.datacenter.models.requests.RUpDateEquipAndSapceRequest
import com.persagy.server.services.objects.FloorService
import com.persagy.database.SFilter
import com.persagy.mybatis.SMybatisDao
import com.persagy.service.SBaseService
import com.persagy.service.SPageContext
import com.persagy.service.models.enums.SResponseType
import com.persagy.service.models.responses.SBaseResponse
import com.persagy.service.utils.SSpringContextUtil
import org.slf4j.LoggerFactory

/**
 * 模型修改设备和元空间建筑楼层
 *
 * @author 张维新
 */
object RUpDateEquipAndSapceService {
        /** 日志 */
        private val logger = LoggerFactory.getLogger(RUpDateEquipAndSapceService::class.java)

        /** 自定义SQL 对象 */
        val schemeService by lazy {
            SSpringContextUtil.getBean(SchemeService::class.java) as SchemeService
        }
    /** 关系总览服务 */
    val relationTypeProjectservice = SBaseService(SMybatisDao(RelationTypeProject::class.java))


    /**
     * 修改设备和元空间的建筑楼层信息
     */
    fun rUpDateEquipAndSapces(rUpDateEquipAndSapceRequest: RUpDateEquipAndSapceRequest): SBaseResponse {
        return try {
            val sBaseResponse = SBaseResponse()
            val projectId = SPageContext.getHeader("ProjectId")

            /** 模型重新上传做标记 */
            try {
                /** 查询模型文件是否有楼层在使用 */
                val floorList = FloorService.select(SFilter.eq("projectId", projectId!!), SFilter.eq("modelId", rUpDateEquipAndSapceRequest.modelId!!)).exec()
                if (floorList.size>0){
                    val list = ArrayList<String>()
                    for (floor in floorList){
                        if (!floor.outline.isNullOrEmpty()){
                            list.add("eq2fl")
                            list.add("fl2sp")
                            list.add("bd2sp")
                            break
                        }
                    }
                    list.add("eq2sp_in")
                    list.add("eq2eq_ACAirNetwork_2")
                    list.add("eq2eq_CondWaterNetwork_1")
                    list.add("eq2eq_VentNetwork_2")
                    list.add("eq2eq_ACAirNetwork_3")
                    list.add("eq2eq_HeatWaterLoop_4")
                    list.add("eq2eq_HeatWaterLoop_1")
                    list.add("eq2eq_DHWNetwork_1")
                    list.add("eq2eq_RecycleWaterNetwork_1")
                    list.add("eq2eq_FireVentNetwork_1")
                    list.add("eq2eq_FireWaterNetwork_1")
                    list.add("eq2eq_VRFNetwork_1")
                    list.add("eq2eq_ChillWaterLoop_2")
                    list.add("eq2eqFreshAirNetwork_1")
                    list.add("eq2eq_ChillWaterLoop_1")
                    list.add("eq2eq_DrinkingWaterNetwork_1")
                    list.add("eq2eq_CoolingWaterLoop_2")
                    list.add("eq2eq_VentNetwork_1")
                    list.add("eq2eq_HeatWaterLoop_2")
//                    list.add("eq2eq_CoolingWaterLoop_1")
                    list.add("eq2eq_ACAirNetwork_1")
                    list.add("eq2eq_SupplyWaterNetwork_1")
                    list.add("eq2eq_DrainingWaterNetwork_1")

                    for (type in list){
                        val entityList = relationTypeProjectservice.select(SFilter.eq("projectId", projectId), SFilter.eq("relationType", type)).exec()
                        if (entityList.size>0){
                            for (entity in entityList){
                                entity.computationalState = 2
                                relationTypeProjectservice.update(entity)
                            }
                        }
                    }
                }
            } catch (e: Exception) {
                e.printStackTrace()
            }
            val rupdateEquipiSpace = schemeService.rupdateEquipiSpace(projectId!!, rUpDateEquipAndSapceRequest.oldBimId, rUpDateEquipAndSapceRequest.bimId!!, rUpDateEquipAndSapceRequest.floorId!!
                    ,rUpDateEquipAndSapceRequest.floorMap!!,rUpDateEquipAndSapceRequest.modelId!!,rUpDateEquipAndSapceRequest.attributeMap)
            if (rupdateEquipiSpace){
                try {

                    val entity = relationTypeProjectservice.select(SFilter.eq("projectId", projectId), SFilter.eq("relationTypeCode", "Fl2Fl")).entity()
                    if (entity!=null){
                        entity.computationalState = 2
                        relationTypeProjectservice.update(entity)
                    }
                } catch (e: Exception) {
                    e.printStackTrace()
                }
                sBaseResponse.result = SResponseType.success
                sBaseResponse
            }else{
                sBaseResponse.result = SResponseType.failure
                sBaseResponse
            }
        } catch (e: Exception) {
            e.printStackTrace()
            SBaseResponse(SResponseType.failure)
        }
    } // Function rUpDateEquipAndSapces()

} // RUpDateEquipAndSapceService