/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package com.persagy.server.services.objects

import com.persagy.mybatis.SMybatisDao
import com.persagy.server.datacenter.models.entities.objects.Project
import com.persagy.server.services.base.Service
import org.slf4j.LoggerFactory

/**
 * 项目信息服务
 *
 * @author 张维新
 */
object ProjectService : Service<Project>(SMybatisDao(Project::class.java)) {
    /** 日志 */
    private val logger = LoggerFactory.getLogger(ProjectService::class.java)



    /**
     * 创建项目
     *
     * @param   code        城市编码
     * @param   password    项目密码
     * @param   project     项目对象
     * @return              创建结果信息
     */
//    fun create(code: String?, password: String, project: Project, messageHandler: MessageHandler?): SCreateResponse {
//        return try {
//            /** code不能为空 */
//            if (code.isNullOrEmpty()) {
//                val sCreateResponse = SCreateResponse()
//                sCreateResponse.message = "请输入正确的区域编码"
//                sCreateResponse.result = SResponseType.failure
//                return sCreateResponse
//            } else {
//                /** 查询code是否正确 */
//                val entity = DictProvincialCityCodeService.select(SFilter.eq("code", code)).entity()
//                if (entity == null) {
//                    val sCreateResponse = SCreateResponse()
//                    sCreateResponse.message = "区域码不存在"
//                    sCreateResponse.result = SResponseType.failure
//                    return sCreateResponse
//                }
//            }
//            /** 获取区域存在几个建筑 */
//            val count = baseDao.select(SFilter.contain("id", code)).exec()
//            logger.debug("数量=${count.size}")
//            /** 项目id */
//            if (!project.id.isNullOrEmpty()) {
//                val isWith = project.id!!.startsWith("Pj")
//                if (!isWith) {
//                    project.id = IdUtils.projectIdCreate(code, count.size)
//                }
//            } else {
//                project.id = IdUtils.projectIdCreate(code, count.size)
//            }
//
//            if (project.name.isNullOrEmpty()){
//                val genId = String.format("%1$4s", count.size+1).replace(' ', '0')
//                val cityCodeEntity = DictProvincialCityCodeService.select(SFilter.eq("code", code)).entity()
//                var  nameCity =cityCodeEntity!!.name!!+genId+"项目"
//                if (!cityCodeEntity.parent.isNullOrEmpty()){
//                    val cityCode = DictProvincialCityCodeService.select(SFilter.eq("code", cityCodeEntity.parent!!)).entity()
//                    nameCity = cityCode!!.name+cityCodeEntity.name!!+genId+"项目"
//
//                    if (!cityCode.parent.isNullOrEmpty()){
//                        val city = DictProvincialCityCodeService.select(SFilter.eq("code", cityCode.parent!!)).entity()
//                        nameCity = city!!.name+cityCode.name+cityCodeEntity.name!!+genId+"项目"
//                    }
//                }
//                project.name = nameCity
//            }
//
//            logger.debug("项目id = ${project.id}")
//            /** 项目密码 */
//            project.password = password
//            val isSuccess = baseDao.insert(project)
//            /** 创建成功 */
//            if (isSuccess) {
//                val jsonObject = JSONObject()
//                jsonObject.put("type", "1")
//                jsonObject.put("projectId", project.id)
//                jsonObject.put("id", project.id)
//                /** 发送消息 */
//                messageHandler!!.sendMessage(jsonObject.toString())
//                /** 返回创建成功的项目id */
//                SCreateResponse(project.id!!)
//            } else {
//                val sCreateResponse = SCreateResponse()
//                sCreateResponse.message = "创建失败"
//                sCreateResponse.result = SResponseType.failure
//                sCreateResponse
//            }
//        } catch (e: Exception) {
//            e.printStackTrace()
//            SCreateResponse(SResponseType.failure, e.message!!)
//        }
//    } // Function create()

    /**
     * 根据id删除
     *
     * @param   idList      id数组
     * @return              删除的结果信息
     */
//    fun delete(idList: ArrayList<String>, messageHandler: MessageHandler?): SDeleteResponse {
//        try {
//            /** 成功集合 */
//            val successList = ArrayList<Any>()
//            /** 失败集合 */
//            val failureList = ArrayList<Any>()
//            for (id in idList) {
//                val isDelete = ProjectService.delete("id" to id)
//                /** 删除成功 */
//                if (isDelete) {
//                    val jsonObject = JSONObject()
//                    jsonObject.put("type", "2")
//                    jsonObject.put("projectId", id)
//                    jsonObject.put("id", id)
//                    /** 发送消息 */
//                    messageHandler!!.sendMessage(jsonObject.toString())
//                    successList.add(id)
//                } else {
//                    /** 删除失败 */
//                    failureList.add(id)
//                }
//            }
//            return SDeleteResponse(successList, failureList)
//        } catch (e: Exception) {
//            e.printStackTrace()
//            return SDeleteResponse(SResponseType.failure, e.message!!)
//        }
//    } // Function delete()

} // Object ProjectService