package com.persagy.server.services.rel

import com.persagy.server.datacenter.models.entities.rel.REq2Sp
import com.persagy.server.datacenter.models.entities.rel.REqForSpBase
import com.persagy.server.datacenter.models.entities.rel.RSpForEqBaseList
import com.persagy.server.services.base.RService
import com.persagy.base.extensions.toJson
import com.persagy.mybatis.SMybatisDao
import com.persagy.service.SBaseService
import com.persagy.service.SObjectService
import com.persagy.service.SPageContext
import com.persagy.service.models.enums.SResponseType
import com.persagy.service.models.requests.SCreateRequest
import com.persagy.service.models.responses.SBaseResponse
import com.persagy.service.models.responses.SCreateResponse
import org.json.JSONObject

/**
 * 设备服务于业务空间关系服务
 *
 * @author 付国宝
 */
object REqForSpBaseService: SBaseService<REqForSpBase>(SMybatisDao(REqForSpBase::class.java)){


    var rEq2SpService = SObjectService(SMybatisDao( REq2Sp::class.java))

    /**
     * 创建设备服务于空间关系
     *
     * @param    rEqForSpBase    设备服务于空间关系对象
     */
    fun create(type: String, rEqForSpBase: SCreateRequest<REqForSpBase>): SCreateResponse<REqForSpBase> {
        return try {
            val projectId = SPageContext.getHeader("ProjectId")

            for (rEqForSp in rEqForSpBase.content){

                try {
                    val rEq2Sp = REq2Sp()
                    rEq2Sp.id1 = rEqForSp.equipId
                    rEq2Sp.id2 = rEqForSp.spaceId
                    rEq2Sp.projectId =projectId
                    rEq2Sp.sign = 1
                    rEq2Sp.zoneType = type
                    rEq2Sp.type = "eq2sp_for"
                    val isInsert = rEq2SpService.insert(rEq2Sp)
                    if (isInsert){
                        val jsonObject = JSONObject()
                        jsonObject.put("type", "11")
                        jsonObject.put("projectId", projectId)
                        jsonObject.put("id", rEqForSp.spaceId)
                        jsonObject.put("obj_type", "EquipforSpace")
                        jsonObject.put("linkId",rEqForSp.equipId)

                        /** 发送消息 */
                        RService.messageHandler.sendMessage(jsonObject.toString())
//                        kafkaService.sendNotice("datacenterrel", RelationNotice(projectId!!, "EquipforSpace", "11", IdUtils.uuidCreate(), rEqForSpZoneHeating.spaceId!!,rEqForSpZoneHeating.equipId),false)
                    }else{

                    }
                }catch (e: Exception){
                    e.printStackTrace()
                }
            }
            SCreateResponse(SResponseType.success)


//            if (type == "HeatingZone"){
//                val list = ArrayList<REqForSpZoneHeating>()
//                for (rEqForSpBase in rEqForSpBase.content){
//                    val rEqForSpZoneHeating = REqForSpZoneHeating()
//                    rEqForSpZoneHeating.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneHeating.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneHeating.projectId =projectId
//
//                    list.add(rEqForSpZoneHeating)
//                }
//                REqForSpZoneHeatingService.create(list)
//            }else if (type == "CleanZone"){
//                val list = ArrayList<REqForSpZoneClean>()
//                for (rEqForSpBase in rEqForSpBase.content){
//                    val rEqForSpZoneClean = REqForSpZoneClean()
//                    rEqForSpZoneClean.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneClean.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneClean.projectId =projectId
//
//                    list.add(rEqForSpZoneClean)
//                }
//                REqForSpZoneCleanService.create(list)
//            }else if (type == "DomesticWaterSupplyZone"){
//                val list = ArrayList<REqForSpZoneDomesticWaterSupply>()
//                for (rEqForSpBase in rEqForSpBase.content){
//                    val rEqForSpZoneDomesticWaterSupply = REqForSpZoneDomesticWaterSupply()
//                    rEqForSpZoneDomesticWaterSupply.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneDomesticWaterSupply.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneDomesticWaterSupply.projectId =projectId
//
//                    list.add(rEqForSpZoneDomesticWaterSupply)
//                }
//                REqForSpZoneDomesticWaterSupplyService.create(list)
//            }else if (type == "NetworkZone" ){
//                val list = ArrayList<REqForSpZoneNetwork>()
//                for (rEqForSpBase in rEqForSpBase.content){
//                    val rEqForSpZoneNetwork = REqForSpZoneNetwork()
//                    rEqForSpZoneNetwork.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneNetwork.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneNetwork.projectId =projectId
//
//                    list.add(rEqForSpZoneNetwork)
//                }
//                REqForSpZoneNetworkService.create(list)
//            }else if (type == "TenantZone"){
//                val list = ArrayList<REqForSpZoneTenant>()
//                for (rEqForSpBase in rEqForSpBase.content){
//                    val rEqForSpZoneTenant = REqForSpZoneTenant()
//                    rEqForSpZoneTenant.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneTenant.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneTenant.projectId =projectId
//
//                    list.add(rEqForSpZoneTenant)
//                }
//                REqForSpZoneTenantService.create(list)
//            }else if (type == "AirConditioningZone"){
//                val list = ArrayList<REqForSpZoneAirConditioning>()
//                for (rEqForSpBase in rEqForSpBase.content){
//                    val rEqForSpZoneAirConditioning = REqForSpZoneAirConditioning()
//                    rEqForSpZoneAirConditioning.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneAirConditioning.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneAirConditioning.projectId =projectId
//
//                    list.add(rEqForSpZoneAirConditioning)
//                }
//                REqForSpZoneAirConditioningService.create(list)
//            }else if (type == "FunctionZone"){
//                val list = ArrayList<REqForSpZoneFunction>()
//                for (rEqForSpBase in rEqForSpBase.content){
//                    val rEqForSpZoneFunction = REqForSpZoneFunction()
//                    rEqForSpZoneFunction.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneFunction.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneFunction.projectId =projectId
//
//                    list.add(rEqForSpZoneFunction)
//                }
//                REqForSpZoneFunctionService.create(list)
//            }else if (type == "FireZone"){
//                val list = ArrayList<REqForSpZoneFire>()
//                for (rEqForSpBase in rEqForSpBase.content){
//                    val rEqForSpZoneFire = REqForSpZoneFire()
//                    rEqForSpZoneFire.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneFire.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneFire.projectId =projectId
//
//                    list.add(rEqForSpZoneFire)
//                }
//                REqForSpZoneFireService.create(list)
//            }else if (type == "SecurityZone"){
//                val list = ArrayList<REqForSpZoneSecurity>()
//                for (rEqForSpBase in rEqForSpBase.content){
//                    val rEqForSpZoneSecurity = REqForSpZoneSecurity()
//                    rEqForSpZoneSecurity.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneSecurity.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneSecurity.projectId =projectId
//
//                    list.add(rEqForSpZoneSecurity)
//                }
//                REqForSpZoneSecurityService.create(list)
//            }else if (type == "GeneralZone"){
//                val list = ArrayList<REqForSpZoneGeneral>()
//                for (rEqForSpBase in rEqForSpBase.content){
//                    val rEqForSpZoneGeneral = REqForSpZoneGeneral()
//                    rEqForSpZoneGeneral.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneGeneral.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneGeneral.projectId =projectId
//
//                    list.add(rEqForSpZoneGeneral)
//                }
//                REqForSpZoneGeneralService.create(list)
//            }else if (type == "PowerSupplyZone"){
//                val list = ArrayList<REqForSpZonePowerSupply>()
//                for (rEqForSpBase in rEqForSpBase.content){
//                    val rEqForSpZonePowerSupply = REqForSpZonePowerSupply()
//                    rEqForSpZonePowerSupply.equipId = rEqForSpBase.equipId
//                    rEqForSpZonePowerSupply.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZonePowerSupply.projectId =projectId
//
//                    list.add(rEqForSpZonePowerSupply)
//                }
//                REqForSpZonePowerSupplyService.create(list)
//            }else if (type == "LightingZone"){
//                val list = ArrayList<REqForSpZoneLighting>()
//                for (rEqForSpBase in rEqForSpBase.content){
//                    val rEqForSpZoneLighting = REqForSpZoneLighting()
//                    rEqForSpZoneLighting.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneLighting.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneLighting.projectId =projectId
//
//                    list.add(rEqForSpZoneLighting)
//                }
//                REqForSpZoneLightingService.create(list)
//            }else{
//                val sCreateResponse = SCreateResponse<REqForSpBase>(SResponseType.failure)
//                sCreateResponse.message = "空间分区类型不存在：$type"
//                sCreateResponse
//            }
        } catch (e: Exception){
            e.printStackTrace()
            SCreateResponse(SResponseType.failure,e.message.toString())
        }
    } //Function create()

    /**
     * 根据对象删除
     *
     * @param    rEqForSpBaseList    关系对象实例
     */
    fun deletes(type: String, rEqForSpBaseList: ArrayList<REqForSpBase>): SBaseResponse {
        return try {

            val projectId = SPageContext.getHeader("ProjectId")
            for (rEqForSpBase in rEqForSpBaseList){
                try {
                    /** 删除成功 */
                    val rEq2Sp = REq2Sp()
                    rEq2Sp.projectId = projectId
                    rEq2Sp.id1 = rEqForSpBase.equipId
                    rEq2Sp.id2 = rEqForSpBase.spaceId
                    rEq2Sp.zoneType = type
                    rEq2Sp.type = "eq2sp_for"
                    val isDelete = rEq2SpService.delete(rEq2Sp)
                    if (isDelete) {
                        val jsonObject = JSONObject()
                        jsonObject.put("type", "12")
                        jsonObject.put("projectId", projectId)
                        jsonObject.put("id", rEqForSpBase.spaceId)
                        jsonObject.put("obj_type", "EquipforSpace")
                        jsonObject.put("linkId",rEqForSpBase.equipId)

                        /** 发送消息 */
                        RService.messageHandler.sendMessage(jsonObject.toString())
    //                kafkaService.sendNotice("datacenterrel", RelationNotice(projectId!!, "EquipforSpace", "12", IdUtils.uuidCreate(), rEqForSpZoneHeating.spaceId!!,rEqForSpZoneHeating.equipId),false)
                    }
                } catch (e: Exception) {
                    e.printStackTrace()
                }
            }

            SBaseResponse(SResponseType.success)

//            if (type == "HeatingZone"){
//                val list = ArrayList<REqForSpZoneHeating>()
//                for (rEqForSpBase in rEqForSpBaseList){
//                    val rEqForSpZoneHeating = REqForSpZoneHeating()
//                    rEqForSpZoneHeating.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneHeating.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneHeating.projectId =projectId
//
//                    list.add(rEqForSpZoneHeating)
//                }
//                REqForSpZoneHeatingService.deleteByKeysList(list)
//            }else if (type == "CleanZone"){
//                val list = ArrayList<REqForSpZoneClean>()
//                for (rEqForSpBase in rEqForSpBaseList){
//                    val rEqForSpZoneClean = REqForSpZoneClean()
//                    rEqForSpZoneClean.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneClean.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneClean.projectId =projectId
//
//                    list.add(rEqForSpZoneClean)
//                }
//                REqForSpZoneCleanService.deleteByKeysList(list)
//            }else if (type == "DomesticWaterSupplyZone"){
//                val list = ArrayList<REqForSpZoneDomesticWaterSupply>()
//                for (rEqForSpBase in rEqForSpBaseList){
//                    val rEqForSpZoneDomesticWaterSupply = REqForSpZoneDomesticWaterSupply()
//                    rEqForSpZoneDomesticWaterSupply.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneDomesticWaterSupply.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneDomesticWaterSupply.projectId =projectId
//
//                    list.add(rEqForSpZoneDomesticWaterSupply)
//                }
//                REqForSpZoneDomesticWaterSupplyService.deleteByKeysList(list)
//            }else if (type == "NetworkZone" ){
//                val list = ArrayList<REqForSpZoneNetwork>()
//                for (rEqForSpBase in rEqForSpBaseList){
//                    val rEqForSpZoneNetwork = REqForSpZoneNetwork()
//                    rEqForSpZoneNetwork.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneNetwork.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneNetwork.projectId =projectId
//
//                    list.add(rEqForSpZoneNetwork)
//                }
//                REqForSpZoneNetworkService.deleteByKeysList(list)
//            }else if (type == "TenantZone"){
//                val list = ArrayList<REqForSpZoneTenant>()
//                for (rEqForSpBase in rEqForSpBaseList){
//                    val rEqForSpZoneTenant = REqForSpZoneTenant()
//                    rEqForSpZoneTenant.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneTenant.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneTenant.projectId =projectId
//
//                    list.add(rEqForSpZoneTenant)
//                }
//                REqForSpZoneTenantService.deleteByKeysList(list)
//            }else if (type == "AirConditioningZone"){
//                val list = ArrayList<REqForSpZoneAirConditioning>()
//                for (rEqForSpBase in rEqForSpBaseList){
//                    val rEqForSpZoneAirConditioning = REqForSpZoneAirConditioning()
//                    rEqForSpZoneAirConditioning.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneAirConditioning.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneAirConditioning.projectId =projectId
//
//                    list.add(rEqForSpZoneAirConditioning)
//                }
//                REqForSpZoneAirConditioningService.deleteByKeysList(list)
//            }else if (type == "FunctionZone"){
//                val list = ArrayList<REqForSpZoneFunction>()
//                for (rEqForSpBase in rEqForSpBaseList){
//                    val rEqForSpZoneFunction = REqForSpZoneFunction()
//                    rEqForSpZoneFunction.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneFunction.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneFunction.projectId =projectId
//
//                    list.add(rEqForSpZoneFunction)
//                }
//                REqForSpZoneFunctionService.deleteByKeysList(list)
//            }else if (type == "FireZone"){
//                val list = ArrayList<REqForSpZoneFire>()
//                for (rEqForSpBase in rEqForSpBaseList){
//                    val rEqForSpZoneFire = REqForSpZoneFire()
//                    rEqForSpZoneFire.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneFire.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneFire.projectId =projectId
//
//                    list.add(rEqForSpZoneFire)
//                }
//                REqForSpZoneFireService.deleteByKeysList(list)
//            }else if (type == "SecurityZone"){
//                val list = ArrayList<REqForSpZoneSecurity>()
//                for (rEqForSpBase in rEqForSpBaseList){
//                    val rEqForSpZoneSecurity = REqForSpZoneSecurity()
//                    rEqForSpZoneSecurity.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneSecurity.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneSecurity.projectId =projectId
//
//                    list.add(rEqForSpZoneSecurity)
//                }
//                REqForSpZoneSecurityService.deleteByKeysList(list)
//            }else if (type == "GeneralZone"){
//                val list = ArrayList<REqForSpZoneGeneral>()
//                for (rEqForSpBase in rEqForSpBaseList){
//                    val rEqForSpZoneGeneral = REqForSpZoneGeneral()
//                    rEqForSpZoneGeneral.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneGeneral.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneGeneral.projectId =projectId
//
//                    list.add(rEqForSpZoneGeneral)
//                }
//                REqForSpZoneGeneralService.deleteByKeysList(list)
//            }else if (type == "PowerSupplyZone"){
//                val list = ArrayList<REqForSpZonePowerSupply>()
//                for (rEqForSpBase in rEqForSpBaseList){
//                    val rEqForSpZonePowerSupply = REqForSpZonePowerSupply()
//                    rEqForSpZonePowerSupply.equipId = rEqForSpBase.equipId
//                    rEqForSpZonePowerSupply.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZonePowerSupply.projectId =projectId
//
//                    list.add(rEqForSpZonePowerSupply)
//                }
//                REqForSpZonePowerSupplyService.deleteByKeysList(list)
//            }else if (type == "LightingZone"){
//                val list = ArrayList<REqForSpZoneLighting>()
//                for (rEqForSpBase in rEqForSpBaseList){
//                    val rEqForSpZoneLighting = REqForSpZoneLighting()
//                    rEqForSpZoneLighting.equipId = rEqForSpBase.equipId
//                    rEqForSpZoneLighting.spaceId = rEqForSpBase.spaceId
//                    rEqForSpZoneLighting.projectId =projectId
//
//                    list.add(rEqForSpZoneLighting)
//                }
//                REqForSpZoneLightingService.deleteByKeysList(list)
//            }else{
//                val sCreateResponse = SBaseResponse(SResponseType.failure)
//                sCreateResponse.message = "空间分区类型不存在：$type"
//                sCreateResponse
//            }
        } catch (e: Exception) {
            e.printStackTrace()
            return SBaseResponse(SResponseType.failure, e.message!!)
        }
    } // Function deletes()

//    /**
//     * 创建设备服务于业务空间关系
//     *
//     * @param    rEqForSpBaseList    设备和业务空间关系的对象列表
//     */
//    fun createEq(rEqForSpBaseList: REqForSpBaseList): SCreateResponse<REqForSpBase> {
//        return try {
//            /** 成功集合 */
//            val successList = ArrayList<Any>()
//            /** 失败集合 */
//            val failureList = ArrayList<Any>()
//            delete("equipId = '${rEqForSpBaseList.equipId}'")
//            val projectId = SPageContext.getHeader("ProjectId")
//            for (spaceId in rEqForSpBaseList.spaceIdList!!){
//                val rEqForSpBase = REqForSpBase()
//                rEqForSpBase.equipId = rEqForSpBaseList.equipId
//                rEqForSpBase.spaceId = spaceId
//                rEqForSpBase.projectId = projectId
//                val replace = replace(rEqForSpBase)
//                if (replace){
//                    successList.add(rEqForSpBase)
//                }else{
//                    failureList.add(rEqForSpBase)
//                }
//            }
//            if (successList.size>0){
//                val sCreateResponse = SCreateResponse<REqForSpBase>(SResponseType.success)
//                if (failureList.size>0){
//                    sCreateResponse.message ="失败对象："+failureList.toJson()
//                }
//                sCreateResponse
//            }else{
//                SCreateResponse(SResponseType.failure)
//            }
//        } catch (e: Exception) {
//            e.printStackTrace()
//            SCreateResponse(SResponseType.failure,e.message.toString())
//        }
//    } // Function createEq()

//    /**
//     * 创建服务于业务空间的设备关系
//     *
//     * @param    rEqForSpBaseList    设备和业务空间关系的对象列表
//     */
//    fun createsSp(rEqForSpBaseList: RSpForEqBaseList): SCreateResponse<REqForSpBase> {
//        return try {
//            /** 成功集合 */
//            val successList = ArrayList<Any>()
//            /** 失败集合 */
//            val failureList = ArrayList<Any>()
//            delete("spaceID = '${rEqForSpBaseList.spaceId}'")
//            val projectId = SPageContext.getHeader("ProjectId")
//            for (equipId in rEqForSpBaseList.equipIdList!!){
//                val rEqForSpBase = REqForSpBase()
//                rEqForSpBase.spaceId = rEqForSpBaseList.spaceId
//                rEqForSpBase.equipId = equipId
//                rEqForSpBase.projectId = projectId
//                val replace = replace(rEqForSpBase)
//                if (replace){
//                    successList.add(rEqForSpBase)
//                }else{
//                    failureList.add(rEqForSpBase)
//                }
//            }
//            if (successList.size>0){
//                if (failureList.size>0){
//                    val sCreateResponse = SCreateResponse<REqForSpBase>(SResponseType.success)
//                    sCreateResponse.message ="失败对象："+failureList.toJson()
//                    sCreateResponse
//                }else{
//                    val sCreateResponse = SCreateResponse<REqForSpBase>(SResponseType.success)
//                    sCreateResponse
//                }
//            }else{
//                SCreateResponse(SResponseType.failure)
//            }
//        } catch (e:Exception){
//            e.printStackTrace()
//            SCreateResponse(SResponseType.failure,e.message.toString())
//        }
//    } // Function createsSp()

    /**
     * 创建服务于业务空间的设备关系
     *
     * @param    rEqForSpBaseList    设备和业务空间关系的对象列表
     */
    fun createsSpEq(type: String,rEqForSpBaseList: RSpForEqBaseList): SCreateResponse<RSpForEqBaseList> {
        return try {

            /** 成功集合 */
            val successList = ArrayList<Any>()
            /** 失败集合 */
            val failureList = ArrayList<Any>()
            val projectId = SPageContext.getHeader("ProjectId")
            for (equipId in rEqForSpBaseList.equipIdList!!){
                val rEq2Sp = REq2Sp()
                rEq2Sp.id2 = rEqForSpBaseList.spaceId
                rEq2Sp.id1 = equipId
                rEq2Sp.projectId = projectId
                rEq2Sp.sign = 1
                rEq2Sp.zoneType = type
                rEq2Sp.type = "eq2sp_for"
                val replace = rEq2SpService.replace(rEq2Sp)
                if (replace){
                    successList.add(rEq2Sp)
                }else{
                    failureList.add(rEq2Sp)
                }
            }
            if (successList.size>0){
                val jsonObject = JSONObject()
                jsonObject.put("type", "14")
                jsonObject.put("projectId", projectId)
                jsonObject.put("id", rEqForSpBaseList.spaceId)
                jsonObject.put("obj_type", "EquipforSpace")
                jsonObject.put("linkId",successList.toJson())

                /** 发送消息 */
                RService.messageHandler.sendMessage(jsonObject.toString())
//                kafkaService.sendNotice("datacenterrel", RelationNotice(projectId!!, "EquipforSpace", "14", IdUtils.uuidCreate(), rSpForEqZoneHeatingList.spaceId!!,null),false)
                if (failureList.size>0){
                    val sCreateResponse = SCreateResponse<RSpForEqBaseList>(SResponseType.success)
                    sCreateResponse.message ="失败对象："+failureList.toJson()
                    sCreateResponse
                }else{
                    val sCreateResponse = SCreateResponse<RSpForEqBaseList>(SResponseType.success)
                    sCreateResponse
                }
            }else{
                SCreateResponse(SResponseType.failure)
            }


//            if (type == "HeatingZone"){
//                REqForSpZoneHeatingService.createsSpEq(rEqForSpBaseList)
//            }else if (type == "CleanZone"){
//                REqForSpZoneCleanService.createsSpEq(rEqForSpBaseList)
//            }else if (type == "DomesticWaterSupplyZone"){
//                REqForSpZoneDomesticWaterSupplyService.createsSpEq(rEqForSpBaseList)
//            }else if (type == "NetworkZone" ){
//                REqForSpZoneNetworkService.createsSpEq(rEqForSpBaseList)
//            }else if (type == "TenantZone"){
//                REqForSpZoneTenantService.createsSpEq(rEqForSpBaseList)
//            }else if (type == "AirConditioningZone"){
//                REqForSpZoneAirConditioningService.createsSpEq(rEqForSpBaseList)
//            }else if (type == "FunctionZone"){
//                REqForSpZoneFunctionService.createsSpEq(rEqForSpBaseList)
//            }else if (type == "FireZone"){
//                REqForSpZoneFireService.createsSpEq(rEqForSpBaseList)
//            }else if (type == "SecurityZone"){
//                REqForSpZoneSecurityService.createsSpEq(rEqForSpBaseList)
//            }else if (type == "GeneralZone"){
//                REqForSpZoneGeneralService.createsSpEq(rEqForSpBaseList)
//            }else if (type == "PowerSupplyZone"){
//                REqForSpZonePowerSupplyService.createsSpEq(rEqForSpBaseList)
//            }else if (type == "LightingZone"){
//                REqForSpZoneLightingService.createsSpEq(rEqForSpBaseList)
//            }else{
//                val sCreateResponse = SCreateResponse<RSpForEqBaseList>(SResponseType.failure)
//                sCreateResponse.message = "空间分区类型不存在：$type"
//                sCreateResponse
//            }
        } catch (e:Exception){
            e.printStackTrace()
            SCreateResponse(SResponseType.failure,e.message.toString())
        }
    } // Function createsSp()

} // Object REqForSpBaseService