/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2019.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reserved.
 *
 * ********************************************************************************************************************
 */

package com.persagy.server.syn

import org.springframework.boot.context.properties.ConfigurationProperties
import org.springframework.stereotype.Component

/**
 * 配置信息
 *
 * @author 张维新
 */
@Component
@ConfigurationProperties(prefix = "saga")
open class Opts {
    

    /** 物理世界地址 */
    lateinit var dataPlatform: String

    val SUCCESS_CODE = "success"


    val LedgerParam = "台账参数"
    val CommParam = "通讯参数"
    val TechParam = "技术参数"
    val RunParam = "运行参数"
    val SettingParam = "设定参数"
    val Alram = "报警消息"

    val GeoInfo = "地理位置"
    val StructureInfo = "结构信息"
    val PeopleInfo = "人员信息"
    val ProjectInfo = "项目信息"
    val CommercialInfo = "商业信息"
    val EnergyCost = "能源价格"
    val OutdoorEnv = "室外环境"
    val Weather = "天气预报"
    val ConsumptionInfo = "能耗信息"
    val BuildingInfo = "建筑信息"
    val BuildingDoc = "建筑文档"
    val Schedule = "工作历"
    val EnvParam = "环境参数"
    val TenantInfo = "租户信息"

}