package com.persagy.server.labsl.controller

import com.persagy.server.labsl.models.entities.GraphCategory
import com.persagy.server.labsl.models.request.GraphCategoryRequest
import com.persagy.server.labsl.services.GraphCategoryService
import com.persagy.service.models.responses.SQueryResponse
import io.swagger.annotations.Api
import io.swagger.annotations.ApiOperation
import org.springframework.web.bind.annotation.PostMapping
import org.springframework.web.bind.annotation.RequestBody
import org.springframework.web.bind.annotation.RequestMapping
import org.springframework.web.bind.annotation.RestController

/**
 * 类型
 *
 * @author  wx
 * @date  2020/9/15 11:40
 */
@Api(tags = ["005、系统图类型"])
@RestController
@RequestMapping("/graph-category")
class GraphCategoryController {


    @ApiOperation(value = "查询系统图类型信息", notes = "类型开关 true  获取所有 false 获取已有图形的类型")
    @PostMapping(value = ["/query"])
    fun graphCategoryQuery(@RequestBody request: GraphCategoryRequest): SQueryResponse<GraphCategory> {
        return GraphCategoryService.graphCategoryQuery(request)
    } // Fun graphCategoryQuery()


} // Class GraphCategoryController