/*
 * ********************************************************************************************************************
 *
 *                     :*$@@%$*:                         ;:                ;;    ;;
 *                   :@@%!  :!@@%:                       %!             ;%%@@%$ =@@@@@@@%;     @%@@@%%%%@@@@@
 *                  :@%;       :$=                       %%$$$%$$         ;$$  ;$@=   !@$
 *                  =@!                                  %!              @ $=;%   !@@@%:      !$$$$$$$$$$$$$$=
 *                  =@*                                  %!              @ $= % %@=   =%@!      %=
 *             *$%%! @@=        ;=$%%%$*:                %!              @ $= % =%%%%%%@$      *%:         =%
 *           %@@!:    !@@@%=$@@@@%!  :*@@$:              %!              @ $= % $*     ;@      @*          :%*
 *         ;@@!          ;!!!;:         ;@%:      =======@%========*     @ $$ % $%*****$@     :@$=*********=@$
 *         $@*   ;@@@%=!:                *@*
 *         =@$    ;;;!=%@@@@=!           =@!
 *          %@$:      =@%: :*@@@*       %@=                    Copyright (c) 2016-2018.  北京上格云技术有限公司
 *           ;%@@$=$@@%*       *@@@$=%@@%;
 *              ::;::             ::;::                                              All rights reservad.
 *
 * ********************************************************************************************************************
 */

package com.persagy.server.entities

import com.alibaba.fastjson.annotation.JSONField
import com.persagy.service.models.SBaseEntity
import io.swagger.annotations.ApiModel
import io.swagger.annotations.ApiModelProperty
import javax.persistence.Column
import javax.persistence.Id
import javax.persistence.Table

/**
 * 建筑信息
 *
 * @author  PLX
 */
@ApiModel(description= "建筑信息")
@Table(name = "building")
class Build : SBaseEntity() {
    /** 建筑ID */
    @ApiModelProperty(value = "建筑ID")
    //@Pattern(regexp="Bd[0-9a-zA-Z]{13}", message="建筑ID格式不正确！")
    @Id
    @Column(name = "id")
    @JSONField(name = "BuildId")
    var buildId: String? = null

    /** 建筑名称 */
    @ApiModelProperty(value = "建筑名称")
    @Column(name = "name")
    @JSONField(name = "BuildName")
    var buildName: String? = null

    /** 建筑ID */
    @ApiModelProperty(value = "建筑ID")
    @Column(name = "local_id")
    @JSONField(name = "BuildLocalId")
    var buildLocalId: String? = null

    /** 本地建筑名称 */
    @ApiModelProperty(value = "本地建筑名称")
    @Column(name = "local_name")
    @JSONField(name = "BuildLocalName")
    var buildLocalName: String? = null

    /** 项目id */
    @ApiModelProperty(value = "项目id")
    @Column(name = "project_id")
    @JSONField(name = "ProjectId")
    var projectId: String? = null

    /** 楼层列表 */
    @ApiModelProperty(value = "楼层列表")
    var floorList: List<Floor>? = null


} // Class Build
